Subject: Re: [RFC PATCH net-next 0/6] tc-taprio offload for SJA1105 DSA

From: Andrew Lunn <[email-masked]>
Date: Sun, 7 Jul 2019 19:47:02 +0200

> - Configuring the switch over SPI cannot apparently be done from this
>   ndo_setup_tc callback because it runs in atomic context. I also have
>   some downstream patches to offload tc clsact matchall with mirred
>   action, but in that case it looks like the atomic context restriction
>   does not apply.

There have been similar problems in the past. We can probably have the
DSA layer turn it into a notifier. Look at the dsa_port_mdb_*
functions for example.

	  Andrew